<template>
  <div>
    <h2 class="text-2xl">
      {{ article.title }}
    </h2>
    <h3 class="italic mb-2">
      Le {{ formatDateTime(article.createdAt) }}
    </h3>

    <nuxt-content :document="article" />
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
import { formatDateTime } from '~/services/utils/DateUtils'

export default Vue.extend({
  props: {
    article: {
      type: Object,
      default: () => null
    }
  },
  methods: {
    formatDateTime
  }
})
</script>
